Skip to main content
GET
/
workspaces
/
{workspace_id}
/
case-durations
/
{duration_id}
Error
A valid request URL is required to generate request examples
{
  "name": "<string>",
  "start_anchor": {
    "filters": {
      "new_values": [
        "<string>"
      ],
      "tag_refs": [
        "<string>"
      ],
      "field_ids": [
        "<string>"
      ],
      "dropdown_definition_id": "<string>",
      "dropdown_option_ids": [
        "<string>"
      ]
    },
    "selection": "first"
  },
  "end_anchor": {
    "filters": {
      "new_values": [
        "<string>"
      ],
      "tag_refs": [
        "<string>"
      ],
      "field_ids": [
        "<string>"
      ],
      "dropdown_definition_id": "<string>",
      "dropdown_option_ids": [
        "<string>"
      ]
    },
    "selection": "first"
  },
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

duration_id
string<uuid>
required
workspace_id
string<uuid>
required

Response

Successful Response

Read model for case duration definitions.

name
string
required

Human readable name for the metric.

Maximum string length: 255
start_anchor
CaseDurationEventAnchor · object
required

Event configuration that marks the start of the duration.

end_anchor
CaseDurationEventAnchor · object
required

Event configuration that marks the end of the duration.

id
string<uuid>
required
description
string | null

Optional description providing more context.

Maximum string length: 1024